<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

    <!-- section>article*3>(h2>{title})+(p>{lorem}) -->
    <!-- <section>
        <article>
            <h2>title</h2>
            <p>lorem</p>
        </article>
        <article>
            <h2>title</h2>
            <p>lorem</p>
        </article>
        <article>
            <h2>title</h2>
            <p>lorem</p>
        </article>
    </section> -->

    <div id="app">
        <blog-post-list></blog-post-list>
        <blog-post-list></blog-post-list>
        <!-- <section> -->
            <!-- <article v-for="post in posts" :key="post.id">
                <h2>{{post.title}}</h2>
                <p>lorem</p>
            </article> -->
            <!-- <blog-post v-for="post in posts" 
                        :key="post.id"
                        v-bind:title="post.title"
                        v-bind:content="post.content">
            </blog-post> -->
            <!-- <blog-post v-for="post in posts" :key="post.id"
                       v-bind:post="post">
            </blog-post>
        </section> -->
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script src="blog-post-list.js"></script>
    <script src="blog-post-list-item.js"></script>
    <script>
    const vm = new Vue({
        el: '#app',
        data: {    
        }
    })
    </script>
</body>
</html>